#
# spec file for package perl-Parse-PMFile
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Parse-PMFile
Version:        0.43
Release:        bp155.2.8
%define cpan_name Parse-PMFile
Summary:        Parses .pm file as PAUSE does
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker::CPANfile) >= 0.08
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(JSON::PP) >= 2.00
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.83
Requires:       perl(JSON::PP) >= 2.00
Requires:       perl(version) >= 0.83
%{perl_requires}

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped
database-related code. If you encounter any issue, that's most probably
because of my modification.

This module doesn't provide features to extract a distribution or parse
meta files intentionally.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Dec 12 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.43
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.43 2020/12/12
  - Avoid instantiating `Safe` compartment if operating in "unsafe" mode.
    (GH#12; bleargh45++)
* Sun Nov 10 2019 <timueller+perl@suse.de>
- updated to 0.42
  see /usr/share/doc/packages/perl-Parse-PMFile/Changes
  0.42 2019/11/09
  - no code changes
  - explicitly declared ExtUtils::MakeMaker::CPANfile as a configure
    requirement (Nikolo++)
* Mon Jun  6 2016 sriedel@suse.de
- initial version (0.41)
